diff -r e909207e9ff1 -r c3c22256cb61 libgui/languages/ja_JP.ts
--- a/libgui/languages/ja_JP.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/ja_JP.ts	Sat Mar 31 14:34:30 2018 +0900
@@ -2120,52 +2126,52 @@
     <message>
         <location line="+13"/>
         <source>&amp;Whole words</source>
-        <translation type="unfinished"></translation>
+        <translation>全体のワード (&amp;W)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Regular E&amp;xpressions</source>
-        <translation type="unfinished">正規表現 (&amp;X)</translation>
+        <translation>正規表現 (&amp;X)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search &amp;backward</source>
-        <translation type="unfinished">逆方向へ検索 (&amp;B)</translation>
+        <translation>逆方向へ検索 (&amp;B)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search se&amp;lection</source>
-        <translation type="unfinished">選択部を検索 (&amp;L)</translation>
+        <translation>選択部を検索 (&amp;L)</translation>
     </message>
     <message>
         <location line="+86"/>
         <source>Search from end</source>
-        <translation type="unfinished">ファイルの終わりから検索</translation>
+        <translation>ファイルの終わりから検索</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Search from start</source>
-        <translation type="unfinished">始めから検索</translation>
+        <translation>始めから検索</translation>
     </message>
     <message>
         <location line="+209"/>
         <source>Replace Result</source>
-        <translation type="unfinished"></translation>
+        <translation >置換結果</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>%1 items replaced</source>
-        <translation type="unfinished">%1 が置換されました</translation>
+        <translation>%1 が置換されました</translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Find Result</source>
-        <translation type="unfinished"></translation>
+        <translation>検索結果</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>No more matches found</source>
-        <translation type="unfinished">これ以上マッチする対象はありません</translation>
+        <translation>これ以上マッチする対象はありません</translation>
     </message>
 </context>
 <context>
@@ -2173,67 +2179,67 @@
     <message>
         <location filename="../src/find-files-dialog.cc" line="+54"/>
         <source>Find Files</source>
-        <translation type="unfinished">複数のファイルで検索</translation>
+        <translation>複数のファイルで検索</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Named:</source>
-        <translation type="unfinished">名称: </translation>
+        <translation>名称: </translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Enter the filename search expression</source>
-        <translation type="unfinished">検索表現にファイル名を含める</translation>
+        <translation>検索表現にファイル名を含める</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Start in:</source>
-        <translation type="unfinished"></translation>
+        <translation>スタートイン:</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Enter the start directory</source>
-        <translation type="unfinished">当初ディレクトリへ設定</translation>
+        <translation>スタートディレクトリへ設定</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Browse...</source>
-        <translation type="unfinished">ブラウズ ...</translation>
+        <translation>ブラウズ ...</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse for start directory</source>
-        <translation type="unfinished">当初ディレクトリをブラウズ</translation>
+        <translation>スタートディレクトリをブラウズ</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Search subdirectories</source>
-        <translation type="unfinished">サブディレクトリを検索</translation>
+        <translation>サブディレクトリを検索</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Search recursively through directories for matching files</source>
-        <translation type="unfinished">マッチするファイルを再帰的に検索</translation>
+        <translation>マッチするファイルを再帰的に検索</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Include directory names</source>
-        <translation type="unfinished">ディレクトリ名を含める</translation>
+        <translation>ディレクトリ名を含める</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Include matching directories in search results</source>
-        <translation type="unfinished">検索結果にマッチしたディレクトリを含ませる</translation>
+        <translation>検索結果にマッチしたディレクトリを含ませる</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Name case insensitive</source>
-        <translation type="unfinished"></translation>
+        <translation>名前大文字小文字の区別をしない</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set matching name is case insensitive</source>
-        <translation type="unfinished">検索名で大文字小文字の区別しない</translation>
+        <translation>検索名で大文字小文字の区別しない</translation>
     </message>
     <message>
         <location line="+2"/>
@@ -2243,77 +2249,77 @@
     <message>
         <location line="+1"/>
         <source>Enter the file content search expression</source>
-        <translation type="unfinished">検索表現にファイルの内容を含める</translation>
+        <translation>検索表現にファイルの内容を含める</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Text to match</source>
-        <translation type="unfinished"></translation>
+        <translation>マッチするテキストへ</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Text case insensitive</source>
-        <translation type="unfinished"></translation>
+        <translation>テキスト 大文字小文字の区別をしない</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set text content is case insensitive</source>
-        <translation type="unfinished"></translation>
+        <translation>テキストの内容の大文字小文字の区別をしないように設定</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Search results</source>
-        <translation type="unfinished">検索結果</translation>
+        <translation>検索結果</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>Idle.</source>
-        <translation type="unfinished">アイドル</translation>
+        <translation>アイドル</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Find</source>
-        <translation type="unfinished">検索</translation>
+        <translation>検索</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Start search for matching files</source>
-        <translation type="unfinished">マッチするファイルの検索を開始</translation>
+        <translation>マッチするファイルの検索を開始</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Stop</source>
-        <translation type="unfinished">停止</translation>
+        <translation>停止</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Stop searching</source>
-        <translation type="unfinished">検索の停止</translation>
+        <translation>検索の停止</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Filename/location</source>
-        <translation type="unfinished">ファイル名／場所</translation>
+        <translation>ファイル名／場所</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>File contents</source>
-        <translation type="unfinished">ファイルの内容</translation>
+        <translation>ファイルの内容</translation>
     </message>
     <message>
         <location line="+103"/>
         <source>Searching...</source>
-        <translation type="unfinished">検索中 ...</translation>
+        <translation>検索中 ...</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>%1 match (es)</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 マッチ</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Set search directory</source>
-        <translation type="unfinished">検索ディレクトリを設定</translation>
+        <translation>検索ディレクトリを設定</translation>
     </message>
 </context>
 <context>
@@ -2321,12 +2327,12 @@
     <message>
         <location filename="../src/find-files-model.cc" line="+88"/>
         <source>Filename</source>
-        <translation type="unfinished">ファイル名</translation>
+        <translation>ファイル名</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Directory</source>
-        <translation type="unfinished">ディレクトリ</translation>
+        <translation>ディレクトリ</translation>
     </message>
 </context>
 <context>
@@ -2334,12 +2340,12 @@
     <message>
         <location filename="../src/history-dock-widget.cc" line="+48"/>
         <source>Browse and search the command history.</source>
-        <translation type="unfinished">コマンドヒストリのブラウズと検索</translation>
+        <translation>コマンドヒストリのブラウズと検索</translation>
     </message>
     <message>
         <location line="+94"/>
         <source>Copy</source>
-        <translation type="unfinished">コピー</translation>
+        <translation>コピー</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -2349,37 +2355,37 @@
     <message>
         <location line="+3"/>
         <source>Create script</source>
-        <translation type="unfinished">スクリプトの作成</translation>
+        <translation>スクリプトの作成</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Hide filter</source>
-        <translation type="unfinished">フィルタを隠す</translation>
+        <translation>フィルタを隠す</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished">フィルタを表示</translation>
+        <translation>フィルタを表示</translation>
     </message>
     <message>
         <location line="+123"/>
         <source>Double-click a command to transfer it to the terminal.</source>
-        <translation type="unfinished">ダブルクリックでコマンドを端末に送る</translation>
+        <translation>ダブルクリックでコマンドを端末に送る</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Enter text to filter the command history</source>
-        <translation type="unfinished">コマンドヒストリをフィルタするためのテキストを入力</translation>
+        <translation>コマンドヒストリをフィルタするためのテキストを入力</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Filter</source>
-        <translation type="unfinished">フィルタ</translation>
+        <translation>フィルタ</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Command History</source>
-        <translation type="unfinished">コマンドヒストリ</translation>
+        <translation>コマンドヒストリ</translation>
     </message>
 </context>
 <context>
@@ -2387,17 +2393,17 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="-178"/>
         <source>Welcome to Octave!</source>
-        <translation type="unfinished">Octaveへようこそ!</translation>
+        <translation>Octaveへようこそ!</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Next</source>
-        <translation type="unfinished">次</translation>
+        <translation>次</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>キャンセル</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2406,7 +2412,7 @@
 Click &apos;Next&apos; to create a configuration file and launch Octave.&lt;/p&gt;
 &lt;p&gt;The configuration file is stored in&lt;br&gt;%1.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
 &lt;p&gt; このコンピュータでの Octave のグラフィカルインターフェースへの初めてのアクセスのようです
 &apos;次へ&apos; をクリックして，設定ファイルを作成し，Octave を起動してください.&lt;/p&gt;
 &lt;p&gt;設定ファイルは以下に置かれます&lt;br&gt;%1.&lt;/p&gt;
@@ -2418,12 +2424,12 @@
     <message>
         <location filename="../src/octave-dock-widget.cc" line="+52"/>
         <source>Undock widget</source>
-        <translation type="unfinished">ウィジェットをアンドック</translation>
+        <translation>ウィジェットをアンドック</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Close widget</source>
-        <translation type="unfinished"></translation>
+        <translation>ウィジェットを閉じる</translation>
     </message>
 </context>
 <context>
@@ -2431,377 +2437,377 @@
     <message>
         <location filename="../src/main-window.cc" line="+367"/>
         <source>Save Workspace As</source>
-        <translation type="unfinished">ワークスペースを別名で保存</translation>
+        <translation>ワークスペースを別名で保存</translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Load Workspace</source>
-        <translation type="unfinished"></translation>
+        <translation>ワークスペースをロード</translation>
     </message>
     <message>
         <location line="+85"/>
         <source>The release notes file &apos;%1&apos; is empty.</source>
-        <translation type="unfinished">リリースノートファイル &apos;%1&apos; が空です．</translation>
+        <translation>リリースノートファイル &apos;%1&apos; が空です．</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>The release notes file &apos;%1&apos; cannot be read.</source>
-        <translation type="unfinished">リリースノートファイル &apos;%1&apos; が読み取れません．</translation>
+        <translation>リリースノートファイル &apos;%1&apos; が読み取れません．</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Octave Release Notes</source>
-        <translation type="unfinished">Octave リリースノート</translation>
+        <translation>Octave リリースノート</translation>
     </message>
     <message>
         <location line="+79"/>
         <source>Octave Community News</source>
-        <translation type="unfinished">Octave コミュニティーニュース</translation>
+        <translation>Octave コミュニティーニュース</translation>
     </message>
     <message>
         <location line="+91"/>
         <location line="+1724"/>
         <source>About Octave</source>
-        <translation type="unfinished">Octave について</translation>
+        <translation>Octave について</translation>
     </message>
     <message>
         <location line="-1603"/>
         <source>Octave</source>
-        <translation type="unfinished">Octave</translation>
+        <translation>Octave</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Are you sure you want to exit Octave?</source>
-        <translation type="unfinished">本当に Octave を終了しますか？</translation>
+        <translation>本当に Octave を終了しますか？</translation>
     </message>
     <message>
         <location line="+64"/>
         <location line="+1600"/>
         <source>Browse directories</source>
-        <translation type="unfinished">ディレクトリのブラウズ</translation>
+        <translation>ディレクトリのブラウズ</translation>
     </message>
     <message>
         <location line="-1444"/>
         <source>Octave Files (*.m);;All Files (*)</source>
-        <translation type="unfinished">Octave ファイル (*.m);;全てのファイル (*)</translation>
+        <translation>Octave ファイル (*.m);;全てのファイル (*)</translation>
     </message>
     <message>
         <location line="+16"/>
         <source>File Encoding:</source>
-        <translation type="unfinished">ファイルのエンコード</translation>
+        <translation>ファイルのエンコード</translation>
     </message>
     <message>
         <location line="+53"/>
         <source>New Function</source>
-        <translation type="unfinished"></translation>
+        <translation>新しい関数</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New function name:
 </source>
-        <translation type="unfinished">新しい関数の名前:
+        <translation>新しい関数の名前:
 </translation>
     </message>
     <message>
         <location line="+43"/>
         <source>%1 is a built-in function</source>
-        <translation type="unfinished">%1 は組み込み関数です</translation>
+        <translation>%1 は組み込み関数です</translation>
     </message>
     <message>
         <location line="+37"/>
         <source>Can not find function %1</source>
-        <translation type="unfinished">関数 %1 が見つかりません</translation>
+        <translation>関数 %1 が見つかりません</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave エディタ</translation>
+        <translation>Octave エディタ</translation>
     </message>
     <message>
         <location line="+909"/>
         <source>&amp;File</source>
-        <translation type="unfinished">ファイル (&amp;F)</translation>
+        <translation>ファイル (&amp;F)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Open...</source>
-        <translation type="unfinished">開く...</translation>
+        <translation>開く...</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Open an existing file in editor</source>
-        <translation type="unfinished">エディタに存在するファイルを開く</translation>
+        <translation>エディタに存在するファイルを開く</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Load Workspace...</source>
-        <translation type="unfinished">ワークスペースのロード...</translation>
+        <translation>ワークスペースのロード...</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Save Workspace As...</source>
-        <translation type="unfinished">ワークスペースを別名で保存...</translation>
+        <translation>ワークスペースを別名で保存...</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Exit</source>
-        <translation type="unfinished">終了</translation>
+        <translation>終了</translation>
     </message>
     <message>
         <location line="+18"/>
         <source>New</source>
-        <translation type="unfinished">新規</translation>
+        <translation>新規</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>New Script</source>
-        <translation type="unfinished">新規のスクリプト</translation>
+        <translation>新規のスクリプト</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>New Function...</source>
-        <translation type="unfinished">新規の関数 ...</translation>
+        <translation>新規の関数 ...</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>New Figure</source>
-        <translation type="unfinished">新規のフィギュア</translation>
+        <translation>新規のフィギュア</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>&amp;Edit</source>
-        <translation type="unfinished"></translation>
+        <translation>編集(&amp;E)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Undo</source>
-        <translation type="unfinished">元に戻す</translation>
+        <translation>元に戻す</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Copy</source>
-        <translation type="unfinished">コピー</translation>
+        <translation>コピー</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Paste</source>
-        <translation type="unfinished">貼り付け</translation>
+        <translation>貼り付け</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Select All</source>
-        <translation type="unfinished"></translation>
+        <translation>すべてを選択</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Clear Clipboard</source>
-        <translation type="unfinished">クリップボードをクリア</translation>
+        <translation>クリップボードをクリア</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Find Files...</source>
-        <translation type="unfinished"></translation>
+        <translation>複数のファイルを検索</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Clear Command Window</source>
-        <translation type="unfinished">コマンドウィンドウのクリア</translation>
+        <translation>コマンドウィンドウのクリア</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Clear Command History</source>
-        <translation type="unfinished">コマンドヒストリのクリア</translation>
+        <translation>コマンドヒストリのクリア</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Clear Workspace</source>
-        <translation type="unfinished">ワークスペースのクリア</translation>
+        <translation>ワークスペースのクリア</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Preferences...</source>
-        <translation type="unfinished">設定 ...</translation>
+        <translation>設定 ...</translation>
     </message>
     <message>
         <location line="+49"/>
         <source>De&amp;bug</source>
-        <translation type="unfinished">デバッグ (&amp;B)</translation>
+        <translation>デバッグ (&amp;b)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Step</source>
-        <translation type="unfinished">ステップ</translation>
+        <translation>ステップ</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Step In</source>
-        <translation type="unfinished">ステップイン</translation>
+        <translation>ステップイン</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Step Out</source>
-        <translation type="unfinished">ステップアウト</translation>
+        <translation>ステップアウト</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Continue</source>
-        <translation type="unfinished">継続</translation>
+        <translation>継続</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Quit Debug Mode</source>
-        <translation type="unfinished"></translation>
+        <translation>デバッグモードの終了</translation>
     </message>
     <message>
         <location line="+38"/>
         <source>&amp;Window</source>
-        <translation type="unfinished">ウィンドウ (&amp;W)</translation>
+        <translation>ウィンドウ (&amp;W)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Command Window</source>
-        <translation type="unfinished"></translation>
+        <translatio>コマンドウィンドウの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Command History</source>
-        <translation type="unfinished">コマンドヒストリの表示</translation>
+        <translation>コマンドヒストリの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show File Browser</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイルブラウザの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Workspace</source>
-        <translation type="unfinished">ワークスペースの表示</translation>
+        <translation>ワークスペースの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Editor</source>
-        <translation type="unfinished">エディタの表示</translation>
+        <translation>エディタの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Documentation</source>
-        <translation type="unfinished">ドキュメントの表示</translation>
+        <translation>ドキュメントの表示</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタの表示</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Command Window</source>
-        <translation type="unfinished">コマンドウィンドウ</translation>
+        <translation>コマンドウィンドウ</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Command History</source>
-        <translation type="unfinished">コマンドヒストリ</translation>
+        <translation>コマンドヒストリ</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>File Browser</source>
-        <translation type="unfinished">ファイルブラウザ</translation>
+        <translation>ファイルブラウザ</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Workspace</source>
-        <translation type="unfinished">ワークスペース</translation>
+        <translation>ワークスペース</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Editor</source>
-        <translation type="unfinished">エディタ</translation>
+        <translation>エディタ</translation>
     </message>
     <message>
         <location line="+3"/>
         <location line="+39"/>
         <source>Documentation</source>
-        <translation type="unfinished">ドキュメント</translation>
+        <translation>ドキュメント</translation>
     </message>
     <message>
         <location line="-36"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタ</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Reset Default Window Layout</source>
-        <translation type="unfinished">既定のウィンドウのレイアウト</translation>
+        <translation>既定のウィンドウのレイアウト</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Help</source>
-        <translation type="unfinished">ヘルプ (&amp;H)</translation>
+        <translation>ヘルプ (&amp;H)</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Report Bug</source>
-        <translation type="unfinished">バグの報告</translation>
+        <translation>バグの報告</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Octave Packages</source>
-        <translation type="unfinished">Octave パッケージ</translation>
+        <translation>Octave パッケージ</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Contribute</source>
-        <translation type="unfinished">貢献</translation>
+        <translation>貢献</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Donate to Octave</source>
-        <translation type="unfinished">octave への寄付</translation>
+        <translation>octave への寄付</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>On Disk</source>
-        <translation type="unfinished">ディスク上</translation>
+        <translation>ディスク上</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Online</source>
-        <translation type="unfinished">オンライン</translation>
+        <translation>オンライン</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;News</source>
-        <translation type="unfinished">ニュース (&amp;N)</translation>
+        <translation>ニュース (&amp;N)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Release Notes</source>
-        <translation type="unfinished">リリースノート</translation>
+        <translation>リリースノート</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Community News</source>
-        <translation type="unfinished">コミュニティーニュース</translation>
+        <translation>コミュニティーニュース</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Toolbar</source>
-        <translation type="unfinished">ツールバー</translation>
+        <translation>ツールバー</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>Enter directory name</source>
-        <translation type="unfinished">ディレクトリ名を入力</translation>
+        <translation>ディレクトリ名を入力</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Current Directory: </source>
-        <translation type="unfinished">現在のディレクトリ: </translation>
+        <translation>現在のディレクトリ: </translation>
     </message>
     <message>
         <location line="+4"/>
         <source>One directory up</source>
-        <translation type="unfinished">一つ上のディレクトリ</translation>
+        <translation>一つ上のディレクトリ</translation>
     </message>
 </context>
 <context>
@@ -2820,7 +2826,7 @@
 &lt;/p&gt;
 &lt;p&gt;
 &lt;small&gt;&lt;em&gt;&amp;mdash; The Octave Developers, </source>
-        <translation type="unfinished">&lt;html&gt;
+        <translation>&lt;html&gt;
 &lt;body&gt;
 &lt;p&gt;
 Octaveコミュニティニュースが入手できません。
@@ -2848,7 +2854,7 @@
 &lt;/p&gt;
 &lt;p&gt;
 &lt;small&gt;&lt;em&gt;&amp;mdash; The Octave Developers, </source>
-        <translation type="unfinished">&lt;html&gt;
+        <translation>&lt;html&gt;
 &lt;body&gt;
 &lt;p&gt;
 最新 Octave コミュニティーニュースを得る接続機能がオフになっています．
@@ -2867,22 +2873,22 @@
     <message>
         <location filename="../src/octave-dock-widget.cc" line="+69"/>
         <source>Hide widget</source>
-        <translation type="unfinished">ウィジェットを隠す</translation>
+        <translation>ウィジェットを隠す</translation>
     </message>
     <message>
         <location line="+43"/>
         <source>Use &lt;Alt&gt; + &lt;Left Mouse Button&gt; for moving the window</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;Alt&gt; + &lt;左マウスボタンを&gt; ウィンドウの移動に使用</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Dock widget</source>
-        <translation type="unfinished">ウィジェットをドック</translation>
+        <translation>ウィジェットをドック</translation>
     </message>
     <message>
         <location line="+42"/>
         <source>Undock widget</source>
-        <translation type="unfinished">ウィジェットをアンドック</translation>
+        <translation>ウィジェットをアンドック</translation>
     </message>
 </context>
 <context>
@@ -2900,7 +2906,7 @@
     <message>
         <location line="+3"/>
         <source>Edit</source>
-        <translation type="unfinished">編集</translation>
+        <translation>編集</translation>
     </message>
     <message>
         <location line="+15"/>
